Bug 842142 - kdelibs-devel has a file conflict with kdnssd-avahi-devel
kdelibs-devel has a file conflict with kdnssd-avahi-devel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-22 10:27 EDT by Bruno Wolff III
Modified: 2012-07-22 10:54 EDT (History)
8 users (show)

See Also:
Fixed In Version: kdelibs-4.8.97-7.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-22 10:54:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2012-07-22 10:27:25 EDT
Description of problem:
Transaction Check Error:
  file /usr/lib/libkdnssd.so from install of kdelibs-devel-6:4.8.97-6.fc18.i686 conflicts with file from package kdnssd-avahi-devel-0.1.3-0.13.20080116svn.fc17.i686
Comment 1 Kevin Kofler 2012-07-22 10:54:24 EDT
Fixed in kdelibs-4.8.97-7.fc18.

I reverted the change to only move the devel symlinks which conflict with kdelibs3 (which didn't cover kdnssd-avahi), such a whitelist is harder to maintain and I fail to see any concrete advantages. The change did not address any bug report, it was a purely unnecessary change and susceptible to regressions such as this one => reverted.

Note You need to log in before you can comment on or make changes to this bug.